## org.apache.myfaces.util
Class ViewIterator

    java.lang.Object
      org.apache.myfaces.util.ViewIterator

All Implemented Interfaces:
  java.util.Iterator

public class ViewIterator
extends java.lang.Object
implements java.util.Iterator

Iterates over a view structure, i.e. a component tree, in a depth first manner.

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Constructor Summary
`ViewIterator(javax.faces.component.UIComponent root)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewIterator

    public ViewIterator(javax.faces.component.UIComponent root)

Parameters:
  `root` - the root of the view structure to iterate over

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next component in the view. The first element is always the given root component.

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`